> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Get one student's immunization record

GET https://ssuccessv2.com/app/api/v1/immunization/{id}

Refreshes the student's immunization plan and returns the student identity, parents, crawl status, and immunization details for the active school.

Reference: https://docs.schoolset.io/api-reference/school-set-api/immunizations/get-student-immunization

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Path parameters

- `id` (integer, required) — Student ID.

## Response

### 200

Student immunization record.

- `status` (string, required)
- `message` (string, required)
- `data` (ApiV1ImmunizationIdGetResponsesContentApplicationJsonSchemaData, required)

## Errors

### 401 Unauthorized Error

Unauthenticated.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

User lacks view-immunization or route access.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 404 Not Found Error

Student or active school not found.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

## Types

### ApiV1ImmunizationIdGetResponsesContentApplicationJsonSchemaData

- `id` (integer, required)
- `student` (ApiV1ImmunizationIdGetResponsesContentApplicationJsonSchemaDataStudent, required)
- `parents` (list of map from string to any, required)
- `immunizations` (map from string to any, required)

### ApiV1ImmunizationIdGetResponsesContentApplicationJsonSchemaDataStudent

- `firstname` (string, optional)
- `firstname_hebrew` (string, optional, nullable)
- `lastname` (string, optional)
- `lastname_hebrew` (string, optional, nullable)
- `full_name` (string, optional)
- `dob` (date, optional)
- `dob_hebrew` (string, optional, nullable)
- `grade` (string, optional, nullable)
- `no_results` (boolean, optional, nullable)

## Examples

**Response**

```json
{
  "status": "success",
  "message": "",
  "data": {
    "id": 1042,
    "student": {
      "firstname": "Maya",
      "firstname_hebrew": null,
      "lastname": "Cohen",
      "lastname_hebrew": null,
      "full_name": "Maya Cohen",
      "dob": {},
      "dob_hebrew": null,
      "grade": "5",
      "no_results": false
    },
    "parents": [
      {}
    ],
    "immunizations": {
      "DTP": {
        "id": 501,
        "status": "Due",
        "status_id": 1,
        "immunization_name": "DTP",
        "shots": []
      }
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://ssuccessv2.com/app/api/v1/immunization/1042"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ssuccessv2.com/app/api/v1/immunization/1042';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/immunization/1042"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/immunization/1042")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://ssuccessv2.com/app/api/v1/immunization/1042")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://ssuccessv2.com/app/api/v1/immunization/1042', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/immunization/1042");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/immunization/1042")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```